Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository.impl
Class HL7ManagerImpl.ClassNameMapper

    java.lang.Object
      com.stc.hl7.repository.impl.HL7ManagerImpl.ClassNameMapper

All Implemented Interfaces:
  com.stc.repository.persistence.client.MarshalableFactory.ClassNameMapper

Enclosing class:
  HL7ManagerImpl

    public static class HL7ManagerImpl.ClassNameMapper

extends java.lang.Object
implements com.stc.repository.persistence.client.MarshalableFactory.ClassNameMapper

Type Resolver class for Object created using this API.

Field Summary
`(package private) static java.lang.String` | `PREFIX`
`(package private) static java.lang.String` | `SUFFIX`

Constructor Summary
`HL7ManagerImpl.ClassNameMapper()`

Method Summary
`java.lang.String` | `getAlias(java.lang.Class clazz)` Returns the alias for the given class, to be used while persistence.
`java.lang.String` | `getClassName(java.lang.String alias)` Returns the class name from the given alias.
`java.lang.String` | `getClassNameAlias()`
`static HL7ManagerImpl.ClassNameMapper` | `getInstance()` Returns a instance of ClassNameMapper

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    static final java.lang.String PREFIX

See Also:
  Constant Field Values

### SUFFIX

    static final java.lang.String SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### HL7ManagerImpl.ClassNameMapper

    public HL7ManagerImpl.ClassNameMapper()

Method Detail

### getInstance

    public static HL7ManagerImpl.ClassNameMapper getInstance()

  Returns a instance of ClassNameMapper

  Returns:
    a singleton instance

### getAlias

    public java.lang.String getAlias(java.lang.Class clazz)

  Returns the alias for the given class, to be used while persistence.

  Specified by:
    `getAlias` in interface `com.stc.repository.persistence.client.MarshalableFactory.ClassNameMapper`
  Parameters:
    `clazz` - a class
  Returns:
    the alias from the given class

### getClassName

    public java.lang.String getClassName(java.lang.String alias)

  Returns the class name from the given alias.

  Specified by:
    `getClassName` in interface `com.stc.repository.persistence.client.MarshalableFactory.ClassNameMapper`
  Parameters:
    `alias` - an alias
  Returns:
    the name of java class
  Since:
    1.0

### getClassNameAlias

    public java.lang.String getClassNameAlias()

  See Also:
    `Marshalable.getClassNameAlias()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD